FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202111250619.p0.ga1011d9.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202111250619.p0.ga1011d9.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=a1011d9 OS_GIT_VERSION=4.8.0-202111250619.p0.ga1011d9.assembly.stream-a1011d9 SOURCE_DATE_EPOCH=1637820249 SOURCE_GIT_COMMIT=a1011d9bd9ca7ad8fc23ceda8b0911790f2a217c SOURCE_GIT_TAG=a1011d9b SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
WORKDIR /go/src/github.com/k8snetworkplumbingwg/sriov-network-operator
COPY . .
RUN make _build-webhook BIN_PATH=build/_output/cmd

FROM openshift/ose-base:v4.8.0-202111041632.p0.git.ad38e11.assembly.stream
ENV __doozer=update BUILD_RELEASE=202111250619.p0.ga1011d9.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202111250619.p0.ga1011d9.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=a1011d9 OS_GIT_VERSION=4.8.0-202111250619.p0.ga1011d9.assembly.stream-a1011d9 SOURCE_DATE_EPOCH=1637820249 SOURCE_GIT_COMMIT=a1011d9bd9ca7ad8fc23ceda8b0911790f2a217c SOURCE_GIT_TAG=a1011d9b SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
COPY --from=builder /go/src/github.com/k8snetworkplumbingwg/sriov-network-operator/build/_output/cmd/webhook /usr/bin/webhook
ENV CLUSTER_TYPE=openshift
CMD ["/usr/bin/webhook"]

LABEL \
        io.k8s.display-name="OpenShift sriov-network-webhook" \
        io.k8s.description="This is an admission controller webhook that mutates and validates customer resources of sriov network operator." \
        io.openshift.tags="openshift,networking,sr-iov" \
        maintainer="Multus team <multus-dev@redhat.com>" \
        name="openshift/ose-sriov-network-webhook" \
        com.redhat.component="sriov-network-webhook-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="SR-IOV" \
        release="202111250619.p0.ga1011d9.assembly.stream" \
        io.openshift.build.commit.id="a1011d9bd9ca7ad8fc23ceda8b0911790f2a217c" \
        io.openshift.build.source-location="https://github.com/openshift/sriov-network-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/sriov-network-operator/commit/a1011d9bd9ca7ad8fc23ceda8b0911790f2a217c" \
        version="v4.8.0"

